function v = ensure(p, v)
%PDERIV/ENSURE   Ensure value derivative representation
%   V = ENSURE(P, V) is CONST(P, V) if V is a constant, and V otherwise
if p.n && ~isa(v, 'pderiv')
    v = const(p, v);
end
