% @PDERIV: Derivative representation class
%
% Files
%   pderiv   - Derivative representation constructor.
%
%   char     - PDERIV/CHAR	Convert to a string
%   double   - PDERIV/DOUBLE	values (disabled)
%   count    - PDERIV/COUNT	number of parameters
%   .d0      - values
%   .d1      - first derivatives
%   .d1(N), .d(N) - first derivatives wrt parameter N
%
%   ge       - PDERIV/GE	Compare
%   gt       - PDERIV/GT	Compare
%   le       - PDERIV/LE	Compare
%   lt       - PDERIV/LT	Compare
%
%   uplus    - PDERIV/UPLUS	Positate
%   uminus   - PDERIV/UMINUS	Negate
%   plus     - PDERIV/PLUS	Add
%   minus    - PDERIV/MINUS	Subtract
%   times    - PDERIV/TIMES	Multiply
%   rdivide  - PDERIV/RDIVIDE	Divide
%   power    - PDERIV/POWER	Exponentiate
%   sum      - PDERIV/SUM	Sum
%   exp      - PDERIV/EXP	Exponentiate
%   log      - PDERIV/LOG	Logarithm
%
%   app      - PDERIV/APP	Apply a derivative function
%
%   See also: PDERIV
