function d = pderiv_setsub(d, i, v)

if isobject(v)
    [d v] = pderiv_all(d, v);
    d.v(i{:}) = v.v;
    if isscalar(v.v)
        v.d = repmat(v.d, [1 size(d.v(i{:}))]);
    end
    if isobject(d.d) || isobject(v.d)
        d.d = pderiv_setsub(d.d, {':' i{:}}, v.d);
    else
        d.d(:,i{:}) = v.d;
    end
elseif isobject(d)
    d.v(i{:}) = v;
    if isobject(d.d)
        d.d = pderiv_setsub(d.d, {':' i{:}}, 0);
    else
        d.d(:,i{:}) = 0;
    end
else
    d(i{:}) = v;
end
