function s = join2str(f, sep, l)
%JOIN2STR	Join string representations with a delimeter.
%   S = JOIN2STR(@FUN2STR, DELIM, LIST) returns FUN2STR applied to each element of LIST and joined with DELIM.

if isempty(l)
    s = '';
    return
end
s = f(l(1));
for x = l(2:end)
    s = [s sep f(x)];
end
