function d = subsref(p, ix)
%PDERIV/SUBSREF
%   P(N) are parameters with indices N.  Index 0 is implicitly the 0 value.

if ~strcmp([ix.type], '()') || ~isscalar(ix.subs)
    error('bad param subscript');
end

d = setdepth(pderiv_var(p.p, ix.subs{1}), p.n);
