function varargout = pderiv_all(varargin)
%assert(nargin == nargout, 'pderiv_all: in/out mismatch');
varargout = varargin;

%l = cellfun(@pderiv_len1, varargin);
l = zeros(1,nargin);
for i = 1:nargin
    if isobject(varargin{i})
        l(i) = size(varargin{i}.d,1);
    end
end
m = max(l);
assert(m > 0);

for i = 1:nargin
    if ~l(i)
        %varargout{i} = pderiv_setdepth(varargout{i}, 1, m);
        s = size(varargout{i});
        if all(s == 0)
            s = 0;
        end
        varargout{i} = pderiv(varargout{i}, zeros([m s]));
    end
    %assert(l(i) == m, 'pderiv: incompatible numbers of parameters in input');
end
