function y = prod(x,d)
%PDERIV/PROD	Product

if nargin == 1
    [xs d] = shiftdim(x.v);
    d = d+1;
end

% unoptimized
s(1:ndims(x.v)) = {':'};
s{d} = 1;
y = pderiv_subs(x, s);
for i = 2:size(x.v,d)
    s{d} = i;
    y = y .* pderiv_subs(x, s);
end
